<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [coreUpgradeCost](./bitburner.hacknetserversformulas.coreupgradecost.md)

## HacknetServersFormulas.coreUpgradeCost() method

Calculate cost of upgrading hacknet server cores.

**Signature:**

```typescript
coreUpgradeCost(startingCore: number, extraCores?: number, costMult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  startingCore | number | starting cores |
|  extraCores | number | _(Optional)_ amount of cores to purchase (defaults to 1) |
|  costMult | number | _(Optional)_ player cost reduction (default to 1) |

**Returns:**

number

The calculated cost.

